Jump to content
  • 0

Как установить/удалить компонент без обновления "базы" (проблемы с 2.09.C.0.0-4)


avanti-sysadmin
 Share

Question

Добрый день!

Большой парк Zyxel Keenetic (DSL, II). Долгое время они работали на версии v2.08(AAGK.0)C1. Мне требуется SNMP и IPSec (всё работает, всё ок).

Месяца два роутеры начали показывать, что есть обновление до 2.09.C.0.0-2, я обновил один, потестировал, вроде всё работает. С неделю назад обновил ряд роутеров до 2.09.C.0.0-4 (оно было самым свежим). Итог - SNMP не работает. Картинку прилагаю.

Возвращаю назад, заливаю что kna_ra_delta_2.09.C.0.0-2 (из файла), что kna_ra_delta_2.08.C.1.0-0 (тоже из файла) - итог - система обновляется, но SNMP отключен (галка на установлена).

Ставишь её... и не можешь нажать на Установить, так как "Платформа NDMS" тоже обновится на 2.09.C.0.0-4 (а она сбойная)... Итог - есть ряд роутеров, на которых не могу включить SNMP.

Как включить SNMP (и отключить ряд других дефолтных пакетов), не обновляя платформу?

Неужели ждать новую прошивку, где баг SNMP исправлен?

Наблюдение: на некоторых роутерах DSL в ошибках видел строку "too short mac address:" (много раз). А на некоторых (как на скрине) - её нет.

Информация о конфигурации: На всех роутерах кроме основного проводного интернета подключен резервный LTE-модем.

Спасибо за помощь заранее!

p.s. радует хоть то, что IPSec не выключается после загрузки прошивки из файла... а то вообще попал бы...

p.p.s. интересное наблюдение - на роутерах Giga II, тоже обновившихся до 2.09.C.0.0-4 - проблемы с SNMP нет.

Буфер обмена-1.jpg

Link to comment
Share on other sites

10 answers to this question

Recommended Posts

  • 0
1 час назад, avanti-sysadmin сказал:

Добрый день!

Большой парк Zyxel Keenetic (DSL, II). Долгое время они работали на версии v2.08(AAGK.0)C1. Мне требуется SNMP и IPSec (всё работает, всё ок).

Месяца два роутеры начали показывать, что есть обновление до 2.09.C.0.0-2, я обновил один, потестировал, вроде всё работает. С неделю назад обновил ряд роутеров до 2.09.C.0.0-4 (оно было самым свежим). Итог - SNMP не работает. Картинку прилагаю.

Возвращаю назад, заливаю что kna_ra_delta_2.09.C.0.0-2 (из файла), что kna_ra_delta_2.08.C.1.0-0 (тоже из файла) - итог - система обновляется, но SNMP отключен (галка на установлена).

Ставишь её... и не можешь нажать на Установить, так как "Платформа NDMS" тоже обновится на 2.09.C.0.0-4 (а она сбойная)... Итог - есть ряд роутеров, на которых не могу включить SNMP.

Как включить SNMP (и отключить ряд других дефолтных пакетов), не обновляя платформу?

Неужели ждать новую прошивку, где баг SNMP исправлен?

Наблюдение: на некоторых роутерах DSL в ошибках видел строку "too short mac address:" (много раз). А на некоторых (как на скрине) - её нет.

Информация о конфигурации: На всех роутерах кроме основного проводного интернета подключен резервный LTE-модем.

Спасибо за помощь заранее!

p.s. радует хоть то, что IPSec не выключается после загрузки прошивки из файла... а то вообще попал бы...

p.p.s. интересное наблюдение - на роутерах Giga II, тоже обновившихся до 2.09.C.0.0-4 - проблемы с SNMP нет.

Буфер обмена-1.jpg

Если у вас все роутеры одинаковые, и есть те на  которых установлена нужная версия с нужным набором компонентов, то сливаете с нее прошивку

(Закладка Система-Файлы далее firmware)

И таким же образом устанавливаете эту прошивку на реципиентов

Link to comment
Share on other sites

  • 0

Я слил, но только с одного DSL, но там другая конфигурация (без SNMP)... про компоненты не подумал... урок мне на будущее...

Что можно сделать, если прошивки с включенным SNMP нет? :(:)  Как и нет прошивки с кучей удаленных ненужных компонентов...

Edited by avanti-sysadmin
Link to comment
Share on other sites

  • 0

Полный сброс приведет к последней релизной 2.0.5? Или оставит ту, что есть 2.0.8?

Дефолтное значение для SNMP при любом раскладе - Не установлено. А ставить галку на SNMP и "Установить" нельзя, зальётся 2.0.9.0.4 (последняя)... а она сбойная...

Link to comment
Share on other sites

  • 0
1 час назад, avanti-sysadmin сказал:

Полный сброс приведет к последней релизной 2.0.5? Или оставит ту, что есть 2.0.8?

Останется 2.08. Подождите исправления,а там посмотрите,что и как.

Edited by AndreBA
Link to comment
Share on other sites

  • 0

Уже в работе, причины найдены.

А в будущем всегда обновляйте только одно устройство для проверки.

DSL/VOX официально не поддерживаются в 2.08 и выше, поэтому они не проверяются ежесуточно в тестовом стенде (и вообще почти не проверяются, на них не ведется активная разработка).

Если какой-то функционал окажется сломан, а вы его не проверили на одном устройстве - винить можно только себя, что не зарепортили баг раньше.

  • Upvote 1
Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Answer this question...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...